types.h File Reference

Basic type alias support. More...

`#include <cstddef>`
`#include <cstdint>`

Go to the source code of this file.

## Namespaces

| utl
| STL's core language concepts.

## Typedefs

byte and word types
using | utl::byte_t = uint8_t
| 8 bits wide More...
using | utl::word_t = uint16_t
| 16 bits wide More...
using | utl::dword_t = uint32_t
size and index
using | utl::size_t = std::size_t
using | utl::index_t = size_t
| index_t and size_t mend to be interchangeable More...
using | utl::ptrdiff_t = std::ptrdiff_t

## Detailed Description

Basic type alias support.

Copyright (C) 2018 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file types.h.